Package io.dapr.v1

# Interface DaprProtos.GetMetadataResponseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.GetMetadataResponse`, `DaprProtos.GetMetadataResponse.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.GetMetadataResponseOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsExtendedMetadata(String key)`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`DaprProtos.ActiveActorsCount`
`getActiveActorsCount(int index)`
Deprecated.
`int`
`getActiveActorsCountCount()`
Deprecated.
`List<DaprProtos.ActiveActorsCount>`
`getActiveActorsCountList()`
Deprecated.
`DaprProtos.ActiveActorsCountOrBuilder`
`getActiveActorsCountOrBuilder(int index)`
Deprecated.
`List<? extends DaprProtos.ActiveActorsCountOrBuilder>`
`getActiveActorsCountOrBuilderList()`
Deprecated.
`DaprProtos.ActorRuntime`
`getActorRuntime()`
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`
`DaprProtos.ActorRuntimeOrBuilder`
`getActorRuntimeOrBuilder()`
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`
`DaprProtos.AppConnectionProperties`
`getAppConnectionProperties()`
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`DaprProtos.AppConnectionPropertiesOrBuilder`
`getAppConnectionPropertiesOrBuilder()`
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`String`
`getEnabledFeatures(int index)`
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`com.google.protobuf.ByteString`
`getEnabledFeaturesBytes(int index)`
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`int`
`getEnabledFeaturesCount()`
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`List<String>`
`getEnabledFeaturesList()`
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`
`Map<String,String>`
`getExtendedMetadata()`
Deprecated.
`int`
`getExtendedMetadataCount()`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`Map<String,String>`
`getExtendedMetadataMap()`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`String`
`getExtendedMetadataOrDefault(String key, String defaultValue)`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`String`
`getExtendedMetadataOrThrow(String key)`
`map<string, string> extended_metadata = 4 [json_name = "extended"];`
`DaprProtos.MetadataHTTPEndpoint`
`getHttpEndpoints(int index)`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`int`
`getHttpEndpointsCount()`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`List<DaprProtos.MetadataHTTPEndpoint>`
`getHttpEndpointsList()`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`DaprProtos.MetadataHTTPEndpointOrBuilder`
`getHttpEndpointsOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`List<? extends DaprProtos.MetadataHTTPEndpointOrBuilder>`
`getHttpEndpointsOrBuilderList()`
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`
`String`
`getId()`
`string id = 1;`
`com.google.protobuf.ByteString`
`getIdBytes()`
`string id = 1;`
`DaprProtos.RegisteredComponents`
`getRegisteredComponents(int index)`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`int`
`getRegisteredComponentsCount()`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`List<DaprProtos.RegisteredComponents>`
`getRegisteredComponentsList()`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`DaprProtos.RegisteredComponentsOrBuilder`
`getRegisteredComponentsOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`List<? extends DaprProtos.RegisteredComponentsOrBuilder>`
`getRegisteredComponentsOrBuilderList()`
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`
`String`
`getRuntimeVersion()`
`string runtime_version = 8 [json_name = "runtimeVersion"];`
`com.google.protobuf.ByteString`
`getRuntimeVersionBytes()`
`string runtime_version = 8 [json_name = "runtimeVersion"];`
`DaprProtos.MetadataScheduler`
`getScheduler()`
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`
`DaprProtos.MetadataSchedulerOrBuilder`
`getSchedulerOrBuilder()`
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`
`DaprProtos.PubsubSubscription`
`getSubscriptions(int index)`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`int`
`getSubscriptionsCount()`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`List<DaprProtos.PubsubSubscription>`
`getSubscriptionsList()`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`DaprProtos.PubsubSubscriptionOrBuilder`
`getSubscriptionsOrBuilder(int index)`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`List<? extends DaprProtos.PubsubSubscriptionOrBuilder>`
`getSubscriptionsOrBuilderList()`
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`
`boolean`
`hasActorRuntime()`
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`
`boolean`
`hasAppConnectionProperties()`
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`
`boolean`
`hasScheduler()`
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getId

String getId()
`string id = 1;`

Returns:
  The id.

### getIdBytes

com.google.protobuf.ByteString getIdBytes()
`string id = 1;`

Returns:
  The bytes for id.

### getActiveActorsCountList

@Deprecated List<DaprProtos.ActiveActorsCount> getActiveActorsCountList()
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

### getActiveActorsCount

@Deprecated DaprProtos.ActiveActorsCount getActiveActorsCount(int index)
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

### getActiveActorsCountCount

@Deprecated int getActiveActorsCountCount()
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

### getActiveActorsCountOrBuilderList

@Deprecated List<? extends DaprProtos.ActiveActorsCountOrBuilder> getActiveActorsCountOrBuilderList()
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

### getActiveActorsCountOrBuilder

@Deprecated DaprProtos.ActiveActorsCountOrBuilder getActiveActorsCountOrBuilder(int index)
Deprecated.

     Deprecated alias for actor_runtime.active_actors.

`repeated .dapr.proto.runtime.v1.ActiveActorsCount active_actors_count = 2 [json_name = "actors", deprecated = true];`

### getRegisteredComponentsList

List<DaprProtos.RegisteredComponents> getRegisteredComponentsList()
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

### getRegisteredComponents

DaprProtos.RegisteredComponents getRegisteredComponents(int index)
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

### getRegisteredComponentsCount

int getRegisteredComponentsCount()
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

### getRegisteredComponentsOrBuilderList

List<? extends DaprProtos.RegisteredComponentsOrBuilder> getRegisteredComponentsOrBuilderList()
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

### getRegisteredComponentsOrBuilder

DaprProtos.RegisteredComponentsOrBuilder getRegisteredComponentsOrBuilder(int index)
`repeated .dapr.proto.runtime.v1.RegisteredComponents registered_components = 3 [json_name = "components"];`

### getExtendedMetadataCount

int getExtendedMetadataCount()
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

### containsExtendedMetadata

boolean containsExtendedMetadata(String key)
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

### getExtendedMetadata

@Deprecated Map<String,String> getExtendedMetadata()
Deprecated.
Use `getExtendedMetadataMap()` instead.

### getExtendedMetadataMap

Map<String,String> getExtendedMetadataMap()
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

### getExtendedMetadataOrDefault

String getExtendedMetadataOrDefault(String key, String defaultValue)
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

### getExtendedMetadataOrThrow

String getExtendedMetadataOrThrow(String key)
`map<string, string> extended_metadata = 4 [json_name = "extended"];`

### getSubscriptionsList

List<DaprProtos.PubsubSubscription> getSubscriptionsList()
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

### getSubscriptions

DaprProtos.PubsubSubscription getSubscriptions(int index)
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

### getSubscriptionsCount

int getSubscriptionsCount()
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

### getSubscriptionsOrBuilderList

List<? extends DaprProtos.PubsubSubscriptionOrBuilder> getSubscriptionsOrBuilderList()
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

### getSubscriptionsOrBuilder

DaprProtos.PubsubSubscriptionOrBuilder getSubscriptionsOrBuilder(int index)
`repeated .dapr.proto.runtime.v1.PubsubSubscription subscriptions = 5 [json_name = "subscriptions"];`

### getHttpEndpointsList

List<DaprProtos.MetadataHTTPEndpoint> getHttpEndpointsList()
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

### getHttpEndpoints

DaprProtos.MetadataHTTPEndpoint getHttpEndpoints(int index)
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

### getHttpEndpointsCount

int getHttpEndpointsCount()
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

### getHttpEndpointsOrBuilderList

List<? extends DaprProtos.MetadataHTTPEndpointOrBuilder> getHttpEndpointsOrBuilderList()
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

### getHttpEndpointsOrBuilder

DaprProtos.MetadataHTTPEndpointOrBuilder getHttpEndpointsOrBuilder(int index)
`repeated .dapr.proto.runtime.v1.MetadataHTTPEndpoint http_endpoints = 6 [json_name = "httpEndpoints"];`

### hasAppConnectionProperties

boolean hasAppConnectionProperties()
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Returns:
  Whether the appConnectionProperties field is set.

### getAppConnectionProperties

DaprProtos.AppConnectionProperties getAppConnectionProperties()
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

Returns:
  The appConnectionProperties.

### getAppConnectionPropertiesOrBuilder

DaprProtos.AppConnectionPropertiesOrBuilder getAppConnectionPropertiesOrBuilder()
`.dapr.proto.runtime.v1.AppConnectionProperties app_connection_properties = 7 [json_name = "appConnectionProperties"];`

### getRuntimeVersion

String getRuntimeVersion()
`string runtime_version = 8 [json_name = "runtimeVersion"];`

Returns:
  The runtimeVersion.

### getRuntimeVersionBytes

com.google.protobuf.ByteString getRuntimeVersionBytes()
`string runtime_version = 8 [json_name = "runtimeVersion"];`

Returns:
  The bytes for runtimeVersion.

### getEnabledFeaturesList

List<String> getEnabledFeaturesList()
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Returns:
  A list containing the enabledFeatures.

### getEnabledFeaturesCount

int getEnabledFeaturesCount()
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Returns:
  The count of enabledFeatures.

### getEnabledFeatures

String getEnabledFeatures(int index)
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Parameters:
  `index` - The index of the element to return.
Returns:
  The enabledFeatures at the given index.

### getEnabledFeaturesBytes

com.google.protobuf.ByteString getEnabledFeaturesBytes(int index)
`repeated string enabled_features = 9 [json_name = "enabledFeatures"];`

Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the enabledFeatures at the given index.

### hasActorRuntime

boolean hasActorRuntime()
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`

Returns:
  Whether the actorRuntime field is set.

### getActorRuntime

DaprProtos.ActorRuntime getActorRuntime()
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`

Returns:
  The actorRuntime.

### getActorRuntimeOrBuilder

DaprProtos.ActorRuntimeOrBuilder getActorRuntimeOrBuilder()
`.dapr.proto.runtime.v1.ActorRuntime actor_runtime = 10 [json_name = "actorRuntime"];`

### hasScheduler

boolean hasScheduler()
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`

Returns:
  Whether the scheduler field is set.

### getScheduler

DaprProtos.MetadataScheduler getScheduler()
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`

Returns:
  The scheduler.

### getSchedulerOrBuilder

DaprProtos.MetadataSchedulerOrBuilder getSchedulerOrBuilder()
`optional .dapr.proto.runtime.v1.MetadataScheduler scheduler = 11 [json_name = "scheduler"];`